Bug 1707770 (CVE-2019-11470) - CVE-2019-11470 ImageMagick: denial of service in cineon parsing component
Summary: CVE-2019-11470 ImageMagick: denial of service in cineon parsing component
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11470
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1707773 1707774 1707775 1708281
Blocks: 1707772
TreeView+ depends on / blocked
 
Reported: 2019-05-08 10:23 UTC by Dhananjay Arunesh
Modified: 2020-03-31 22:34 UTC (History)
7 users (show)

Fixed In Version: ImageMagick 6.9.10-28, ImageMagick 7.0.8-28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-31 22:34:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1180 None None None 2020-03-31 19:32:18 UTC

Description Dhananjay Arunesh 2019-05-08 10:23:56 UTC
The cineon parsing component in ImageMagick 7.0.8-26 Q16 allows attackers to
cause a denial-of-service (uncontrolled resource consumption) by crafting a
Cineon image with an incorrect claimed image size. This occurs because
ReadCINImage in coders/cin.c lacks a check for insufficient image data in a
file.

Reference:
https://github.com/ImageMagick/ImageMagick/issues/1472

Upstream commit:
https://github.com/ImageMagick/ImageMagick/commit/e3cdce6fe12193f235b8c0ae5efe6880a25eb957

Comment 1 Dhananjay Arunesh 2019-05-08 10:30:25 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-all [bug 1707774]


Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1707773]

Comment 2 Dhananjay Arunesh 2019-05-08 10:31:10 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1707775]

Comment 3 Riccardo Schirone 2019-05-09 10:07:03 UTC
Mitigation:

You can configure a security policy that limits the disk resource usage when running ImageMagick.
Edit /etc/ImageMagick/policy.xml with:

```
<policymap>
   ...
   <policy domain="resource" name="disk" value="1GiB"/>
   ...
</policymap>
```

Comment 7 errata-xmlrpc 2020-03-31 19:32:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1180 https://access.redhat.com/errata/RHSA-2020:1180

Comment 8 Product Security DevOps Team 2020-03-31 22:34:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11470


Note You need to log in before you can comment on or make changes to this bug.